/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Administrator
 */
@Entity
@Table(name = "tbl_vender_list")
public class VenderListBean implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 190528374520461795L;

    /**
     *     */
    @Column(name = "brand_logo", nullable = true, length = 100)
    private String brandLogo;

    /**
     *     */
    @Column(name = "brand_name", nullable = false, length = 20)
    private String brandName;

    /**
     *     */
    @Column(name = "brand_introduce", nullable = true, length = 100)
    private String brandIntroduce;

    /**
     *     */
    @Column(name = "app_show", nullable = true, length = 1)
    private String appShow;

    /**
     *     */
    @Id
    @Column(name = "brand_code", unique = true, nullable = false, length = 20)
    private String brandCode;

    /**
     *     */
    @Column(name = "contact_phone", nullable = true, length = 30)
    private String contactPhone;

    /**
     *     */
    @Column(name = "contact_address", nullable = true, length = 50)
    private String contactAddress;

    /**
     *     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     *     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 获取
     *
     * @return
     */
    public String getBrandLogo() {
        return this.brandLogo;
    }

    /**
     * 设置
     *
     * @param brandLogo
     *
     */
    public void setBrandLogo(String brandLogo) {
        this.brandLogo = brandLogo;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getBrandName() {
        return this.brandName;
    }

    /**
     * 设置
     *
     * @param brandName
     *
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getBrandIntroduce() {
        return this.brandIntroduce;
    }

    /**
     * 设置
     *
     * @param brandIntroduce
     *
     */
    public void setBrandIntroduce(String brandIntroduce) {
        this.brandIntroduce = brandIntroduce;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getAppShow() {
        return this.appShow;
    }

    /**
     * 设置
     *
     * @param appShow
     *
     */
    public void setAppShow(String appShow) {
        this.appShow = appShow;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getBrandCode() {
        return this.brandCode;
    }

    /**
     * 设置
     *
     * @param brandCode
     *
     */
    public void setBrandCode(String brandCode) {
        this.brandCode = brandCode;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getContactPhone() {
        return this.contactPhone;
    }

    /**
     * 设置
     *
     * @param contactPhone
     *
     */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getContactAddress() {
        return this.contactAddress;
    }

    /**
     * 设置
     *
     * @param contactAddress
     *
     */
    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置
     *
     * @param updateTime
     *
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置
     *
     * @param createTime
     *
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
